aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorBodo Möller <bodo@openssl.org>2011-10-13 15:07:08 +0000
committerBodo Möller <bodo@openssl.org>2011-10-13 15:07:08 +0000
commit8bfc6479a8399b2939ef2561c4d88e364c05b973 (patch)
tree231a964aebd326e44181b30551238239822cfe79 /test
parent4f2015742d4390bf9b445408b1fa1b9fc168ead8 (diff)
downloadopenssl-8bfc6479a8399b2939ef2561c4d88e364c05b973.zip
openssl-8bfc6479a8399b2939ef2561c4d88e364c05b973.tar.gz
openssl-8bfc6479a8399b2939ef2561c4d88e364c05b973.tar.bz2
use -no_ecdhe when using -no_dhe
Diffstat (limited to 'test')
-rw-r--r--test/testssl8
1 files changed, 4 insertions, 4 deletions
diff --git a/test/testssl b/test/testssl
index 530a252..e591f86 100644
--- a/test/testssl
+++ b/test/testssl
@@ -100,8 +100,8 @@ echo test sslv2/sslv3 via BIO pair
$ssltest $extra || exit 1
if [ $dsa_cert = NO ]; then
- echo test sslv2/sslv3 w/o DHE via BIO pair
- $ssltest -bio_pair -no_dhe $extra || exit 1
+ echo 'test sslv2/sslv3 w/o (EC)DHE via BIO pair'
+ $ssltest -bio_pair -no_dhe -no_ecdhe $extra || exit 1
fi
echo test sslv2/sslv3 with 1024bit DHE via BIO pair
@@ -131,8 +131,8 @@ fi
if ../util/shlib_wrap.sh ../apps/openssl no-rsa; then
echo skipping RSA tests
else
- echo test tls1 with 1024bit RSA, no DHE, multiple handshakes
- ../util/shlib_wrap.sh ./ssltest -v -bio_pair -tls1 -cert ../apps/server2.pem -no_dhe -num 10 -f -time $extra || exit 1
+ echo 'test tls1 with 1024bit RSA, no (EC)DHE, multiple handshakes'
+ ../util/shlib_wrap.sh ./ssltest -v -bio_pair -tls1 -cert ../apps/server2.pem -no_dhe -no_ecdhe -num 10 -f -time $extra || exit 1
if ../util/shlib_wrap.sh ../apps/openssl no-dh; then
echo skipping RSA+DHE tests